@echo off
title 无尽一键视频下载 v0.4  by:愚无尽
echo                         d8b d8b          8888888b.  888      
echo                         Y8P Y8P          888  "Y88b 888      
echo                                          888    888 888      
echo 888  888  888 888  888 8888 888 88888b.  888    888 888      
echo 888  888  888 888  888 "888 888 888 "88b 888    888 888      
echo 888  888  888 888  888  888 888 888  888 888    888 888      
echo Y88b 888 d88P Y88b 888  888 888 888  888 888  .d88P 888      
echo  "Y8888888P"   "Y88888  888 888 888  888 8888888P"  88888888 
echo                         888                                  
echo                        d88P                                  
echo                      888P"  
set "dqpath=%~dp0"
set "dqpath=%dqpath:~0,-1%"
if not exist Download md ".\Download"
set lj=%dqpath%\Download
ping -n 2 127.1>nul
for /F %%i in ('%~dp0\paste.exe') do (set URL=%%i)
set str="%URL%"
echo;%str%|find "qq.com">nul&&goto qq
echo;%str%|find "iqiyi.com">nul&&goto iqy
echo;%str%|find "youku.com">nul&&goto youku
echo;%str%|find "bilibili.com">nul&&goto bilibili
echo;%str%|find "mgtv.com">nul&&goto mgtv
echo;%str%|find "weibo.com">nul&&goto weibo
echo;%str%|find "yinyuetai.com">nul&&goto yinyuetai
echo;%str%|find "youtube.com">nul&&goto yinyuetai
echo;%str%|find ".com">nul&&goto buzhichi
echo;%str%|find ".cn">nul&&goto buzhichi
echo;%str%|find ".net">nul&&goto buzhichi
echo.
echo  ^>^>^>糟糕！程序未能获取正确的地址，请请重试！
echo 错误的地址为%str%
ping -n 5 127.1>nul
exit 

:qq
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
annie -o %lj% %URL%
start %lj%
exit

:iqy
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
::set URL1=%URL:~0,39%
annie -o %lj% %URL%
start %lj%
exit

:youku
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
annie -o %lj% %URL%
start %lj%
exit

:bilibili
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
annie -o %lj% %URL%
start %lj%
exit

:mgtv
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
annie -o %lj% %URL%
start %lj%
exit

:weibo
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
annie -o %lj% %URL%
start %lj%
exit

:yinyuetai
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
annie -o %lj% %URL%
start %lj%
exit

:youtube
echo.
echo  ^>^>^>亲，稍安勿躁，正在解析中。。。
annie -o %lj% %URL%
start %lj%
exit

:buzhichi
echo.
echo  ^>^>^>亲，该网站不支持，或者视频地址显示不全哦！
echo.
ping -n 5 127.1>nul
exit 